LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-03-2018, 02:01 PM   #106
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 8,757

Rep: Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742Reputation: 3742

Quote:
Originally Posted by Fellype View Post
But if you know Pat, you know that it would be easier to convince him to add qt5 to /extra instead of having two different versions of the same library in the same directory (assuming that qt4 will be kept in /l)
Not true at all. Counteexamples: GTK1-3, SDL 1 and 2.
 
Old 01-03-2018, 02:27 PM   #107
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235
Quote:
Originally Posted by dugan View Post
Not true at all. Counteexamples: GTK1-3, SDL 1 and 2.
Sure, but also the installed Qt5 package alone (with no deps) has "only" 319MB and considering the holly full install which is preached here...

Yet another 500MB added to the recommended installation?

Just saying, because now we are around 11GB installed, anyways...

Last edited by Darth Vader; 01-03-2018 at 02:35 PM.
 
Old 01-03-2018, 02:36 PM   #108
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
Once KDE is updated to Plasma 5, is Qt4 needed for anything else in Slackware? I would assume it would be removed eventually and wind up in SBo or other third-party repositories for those who still need it.
 
Old 01-03-2018, 02:36 PM   #109
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
Okay, I definitely didn't click "Post" twice.

Last edited by montagdude; 01-03-2018 at 02:37 PM.
 
Old 01-03-2018, 02:38 PM   #110
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235
Quote:
Originally Posted by montagdude View Post
Once KDE is updated to Plasma 5, is Qt4 needed for anything else in Slackware? I would assume it would be removed eventually and wind up in SBo or other third-party repositories for those who still need it.
Yes, would be needed by the KDE4 compatibility support. Specially used by the KDE Libs v4.

Believe or not, there are still tons of applications which use KDE4.

And I talk about open source apps, not about a specific closed source one.

Last edited by Darth Vader; 01-03-2018 at 02:44 PM.
 
Old 01-03-2018, 02:45 PM   #111
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
Quote:
Originally Posted by Darth Vader View Post
Yes, would be needed by the KDE4 compatibility support. Specially used by the KDE Libs v4.
Is that a part of Plasma 5 that would be required? I'm guessing that is for applications that haven't been ported to KDE Frameworks yet, but those applications may also not be included in Slackware.

Quote:
Originally Posted by Darth Vader View Post
Believe or not, there are still tons of applications which use KDE4.

And I talk about open source apps, not about a specific closed source one.
I know that. I'm talking specifically about things in the Slackware tree, as that's what dictates whether Qt4 needs to be included or not (granted that, of course, the decision to keep it is PV's whether or not it is technically "required").

Last edited by montagdude; 01-03-2018 at 02:48 PM.
 
Old 01-03-2018, 02:47 PM   #112
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 7,447

Rep: Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711Reputation: 5711
Quote:
Originally Posted by Fellype View Post
Yes. It should be great to have qt5 in /l.
But if you know Pat, you know that it would be easier to convince him to add qt5 to /extra instead of having two different versions of the same library in the same directory (assuming that qt4 will be kept in /l)
The qt4 and qt5 packages do not overlap, you can have both installed without adverse effects. See my Plasma 5 desktop package set.
 
1 members found this post helpful.
Old 01-03-2018, 02:47 PM   #113
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235
Quote:
Originally Posted by montagdude View Post
Is that a required part of Plasma 5?
Eric can give here a more proper response than me.

Quote:
Originally Posted by montagdude View Post
I know that. I'm talking specifically about things in the Slackware tree, as that's what dictates whether Qt4 needs to be included or not (granted that, of course, the decision to keep it is PV's whether or not it is technically "required").
Anyway, precisely nothing depends right now in Qt5, you know...

Last edited by Darth Vader; 01-03-2018 at 02:49 PM.
 
Old 01-03-2018, 02:49 PM   #114
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,779

Rep: Reputation: Disabled
Quote:
Originally Posted by montagdude View Post
Once KDE is updated to Plasma 5, is Qt4 needed for anything else in Slackware? I would assume it would be removed eventually and wind up in SBo or other third-party repositories for those who still need it.
I'd have to check that qControlCenter be compatible quit Qt5. Although I'll probably use GTK3 instead, to make it actually accessible with speech.

This is just one example, and even if Slackware proper don't ship Qt4 apps, I guess that users will still want to install some as third party packages.

So, at least ship it in /extra or /pasture, I'd suggest.

Last edited by Didier Spaier; 01-03-2018 at 02:51 PM.
 
Old 01-03-2018, 02:50 PM   #115
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
Quote:
Originally Posted by Darth Vader View Post
Anyway, nothing depends right now in Qt5, you know...
That's why my question was (in case you forgot already):

Quote:
Originally Posted by montagdude View Post
Once KDE is updated to Plasma 5, is Qt4 needed for anything else in Slackware?
 
Old 01-03-2018, 02:52 PM   #116
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
Quote:
Originally Posted by Didier Spaier View Post
I'd have to check that [URL="https://github.com/DidierSpaier/qControlCenter"]This is just one example, and even if Slackware proper don't ship Qt4 apps, I guess that users will still want to install some as third party packages.
Certainly. Today, that's the case with Qt5, but nevertheless Pat doesn't include Qt5. The point is that there are other places to get third party software, and there is precedent for only including a single Qt version.
 
Old 01-03-2018, 02:54 PM   #117
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235
Quote:
Originally Posted by montagdude View Post
That's why my question was (in case you forgot already):
OK, my bad habit to respond indirectly.

How today we can assume safely that nothing depends on Qt5, probably in future we can assume the reverse side, as nothing depending in Qt4, excluding in the Poppler support.

BUT, this discourse works only if our BDFL decide to cut the ties with the KDE4 support at all.

Last edited by Darth Vader; 01-03-2018 at 02:56 PM.
 
Old 01-03-2018, 03:15 PM   #118
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,456

Rep: Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086Reputation: 1086
The reason I asked was because of your comment about adding 300 - 500MB to the distribution. Assuming Qt4 were removed, it would really be that minus whatever the size of Qt4 is, so probably not actually that big of an increase.
 
Old 01-03-2018, 03:18 PM   #119
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235Reputation: 1235
Well, our mighty Qt4 has 130MB while installed.
 
Old 01-03-2018, 03:38 PM   #120
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,779

Rep: Reputation: Disabled
Package for Slackware64-14.2:

Code:
PACKAGE NAME:     qt-4.8.7-x86_64-4
COMPRESSED PACKAGE SIZE:     167M
UNCOMPRESSED PACKAGE SIZE:     470M
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Requests for -current (20151216) rworkman Slackware 3441 12-28-2017 03:50 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:22 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration